libzypp 17.37.10

IOTools.h File Reference
`#include <stdio.h>`
`#include <utility>`
`#include <string>`
`#include <zypp-core/base/Exception.h>`

Go to the source code of this file.

## Classes
class | zypp::io::TimeoutException

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::io

## Typedefs
using | zypp::io::timeout_type = size_t

## Enumerations
enum class | zypp::io::BlockingMode { zypp::io::FailedToSetMode = -1 , zypp::io::WasBlocking , zypp::io::WasNonBlocking }
enum class | zypp::io::ReadAllResult { zypp::io::Error , zypp::io::Eof , zypp::io::Ok }
enum | zypp::io::ReceiveUpToResult { zypp::io::Success , zypp::io::Timeout , zypp::io::EndOfFile , zypp::io::Error }

## Functions
BlockingMode | zypp::io::setFILEBlocking (FILE *file, bool mode=true)
| Enables or disabled non blocking mode on a file descriptor.
BlockingMode | zypp::io::setFDBlocking (int fd, bool mode)
bool | zypp::io::writeAll (int fd, void *buf, size_t size)
ReadAllResult | zypp::io::readAll (int fd, void *buf, size_t size)
std::pair< ReceiveUpToResult, std::string > | zypp::io::receiveUpto (FILE *file, char c, timeout_type timeout, bool failOnUnblockError)
std::vector< char > | zypp::io::peek_data_fd (FILE *fd, off_t offset, size_t count)

## Variables
static constexpr timeout_type | zypp::io::no_timeout = static_cast<timeout_type>(-1)